All Libraries | This Library | Package | Class | Use | Tree | Deprecated | Index | Grand Index | Help
|  | Foundation |
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.sas.services.information
Class FactoryException

    com.sas.services.information.FactoryException

All Implemented Interfaces:
  com.sas.util.ChainedExceptionInterface, java.io.Serializable

Direct Known Subclasses:
  FactoryClassException, FactoryNotInitializedException

    public class FactoryException

This Exception is thrown when an error occurs in the Information Service Factory which instantiates "Smart objects" from metadata retrieved from repositories. This is a general exception that can be caused by a variety of situations.

Since:
  1.1
See Also:
  Serialized Form

Constructor Summary
`FactoryException()` Constructor for FactoryException.
`FactoryException(java.lang.String message)` Constructor for FactoryException.
`FactoryException(java.lang.Throwable throwable, java.lang.String message)` Constructor for FactoryException.

Method Summary
`java.lang.String` | `getRepositoryId()`
`java.lang.String` | `getRepositoryType()`
`void` | `setRepositoryId(java.lang.String reposId)`
`void` | `setRepositoryType(java.lang.String type)`
`java.lang.String` | `toString()`

Constructor Detail

### FactoryException

    public FactoryException()

  Constructor for FactoryException.

### FactoryException

    public FactoryException(java.lang.String message)

  Constructor for FactoryException.

  Parameters:
    `message` -

### FactoryException

    public FactoryException(java.lang.Throwable throwable,
                            java.lang.String message)

  Constructor for FactoryException.

  Parameters:
    `throwable` -
    `message` -

Method Detail

### setRepositoryId

    public void setRepositoryId(java.lang.String reposId)

### getRepositoryId

    public java.lang.String getRepositoryId()

### setRepositoryType

    public void setRepositoryType(java.lang.String type)

### getRepositoryType

    public java.lang.String getRepositoryType()

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `com.sas.util.ChainedException`

All Libraries | This Library | Package | Class | Use | Tree | Deprecated | Index | Grand Index | Help
|  | Foundation |
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2009 SAS Institute Inc. All Rights Reserved.